### Signal

# Meta Display::restart

#### Declaration

    gboolean
    restart (
      MetaDisplay* self,
      gpointer user_data
    )

#### Description [src]

The signal is emitted to indicate that compositor should reexec the process.

This is emitted when `meta_restart()` is called, either by Mutter internally or by the embedding compositor.

See also `MetaDisplay::show-restart-message`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Return value

Type: `gboolean`

`FALSE` to indicate that the compositor could not be restarted. When the compositor is restarted, the signal should not return.